	include "p12c508.inc"

	radix dec


DelayTime equ 15		; time to hold outputs hig/low (in seconds)

; some variables for the delay
cnt1	equ	7
cnt2	equ 8
cnt3	equ 9

	org 0

	__CONFIG _MCLRE_ON & _CP_OFF & _WDT_OFF & _IntRC_OSC

START:
	MOVLW 	0x00
	OPTION			; weak pullup on MCLR, wdt prescaler 1:1, wake up on pin change
	MOVLW 	0xFF	; all inputs
	TRIS 	GPIO

	BTFSS 	STATUS,GPWUF
	SLEEP			; wait for pin change / button press

	; pin changed, so do the output thin
	MOVLW 	(1<<4)	; GP4 High, GP5 Low
	MOVWF 	GPIO	
	MOVLW 	~((1<<4)|(1<<5))	; Set GP4/5 as outputs
	TRIS 	GPIO

	CALL	delay	; delay xx seconds

	MOVLW	0xFF	; all inputs
	TRIS	GPIO

	CALL	delay	; delay xx seconds

	MOVLW	(1<<5)	; GP4 High, GP5 Low
	MOVWF	GPIO
	MOVLW 	~((1<<4)|(1<<5))	; Set GP4/5 as outputs
	TRIS 	GPIO

	CALL	delay	; delay xx seconds

	MOVLW	0xFF	; all inputs
	TRIS 	GPIO

	MOVFW	GPIO
	SLEEP			; wait for next button press

delay:
	CLRF	cnt1
	CLRF	cnt2

	MOVLW	(DelayTime * 507 + 50) / 100;
	MOVWF	cnt3

d1:
	DECFSZ	cnt1,F
	GOTO	d1

	DECFSZ	cnt2,F
	GOTO 	d1

	DECFSZ	cnt3,F
	goto	d1

	RETLW	0
	end